# Generated by Django 4.1.10 on 2024-01-31 12:56

import django.db.models.deletion
import wagtailmetadata.models
from django.db import migrations, models

import shared.models.legacy


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0083_workflowcontenttype"),
        ("wagtaildocs", "0012_uploadeddocument"),
        ("wagtailimages", "0025_alter_image_file_alter_rendition_file"),
        ("district", "0125_rename_date_districtarticlepage_timestamp"),
    ]

    operations = [
        migrations.CreateModel(
            name="DistrictPdfPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "pdf_file",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtaildocs.document",
                        verbose_name="PDF dokument",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "PDF stránka",
            },
            bases=(
                wagtailmetadata.models.WagtailImageMetadataMixin,
                shared.models.main.SubpageMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
